#ifndef __keys_h
#define __keys_h

class Keys
{
  public:
    Keys();                   // constructor
    ~Keys();                  // destructor
    int Hit();                // returns if any key is pressed
    int Hit(int key);         // checks and marks if a key has been hit
    int Pressed(int key);     // checks if a key is held down
    void ClearKeys();         // clears key if it was released
    char GChar();             // gets an alpha-numeric character

  protected:
    int hit[128];             // keeps track if a key has been hit
};

extern Keys keyb;    // keyb is used to get all input from the keyboard

#endif
