#ifndef __weapons_h
#define __weapons_h

/////////////////////////////////////////////////////////////////////////////
//
// Contains all of the individual weapon classes
//
/////////////////////////////////////////////////////////////////////////////
class LaserCannon : public Weapon
{
  public:
    LaserCannon(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class PlasmaCannon : public Weapon
{
  public:
    PlasmaCannon(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class MiniLaser : public Weapon
{
  public:
    MiniLaser(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class DisableCannon : public Weapon
{
  public:
    DisableCannon(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class MiniMissile : public Weapon
{
  public:
    MiniMissile(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class DumbFireMissile : public Weapon
{
  public:
    DumbFireMissile(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class Mirv : public Weapon
{
  public:
    Mirv(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class HomingMissile : public Weapon
{
  public:
    HomingMissile(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class SmartMissile : public Weapon
{
  public:
    SmartMissile(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////
class BlastBeam : public Weapon
{
  public:
    BlastBeam(int x, int y, int angle, Unit *owner, int team);
    void PreThink();
    void PostThink();
    void Impact(Unit *hit);
};

////////////////////////////////////////

#endif
