#ifndef __map_h
#define __map_h

class Map
{
  public:
    Map();
    ~Map();
    void Load(char *mapfile, char *sprfile);
    void SetLoc(int newx, int newy);
    void AdjLoc(int xadj, int yadj);
    void Draw();
    const int x() { return scrx; }
    const int y() { return scry; }
    const int xmax() { return xpix; }
    const int ymax() { return ypix; }

  protected:
    tilemap map;
    sprites spr;
    int     scrx, scry,           // upper left corner of map in pixels
            maxx, maxy,           // max x and y tiles in map
            xsize, ysize,         // x and y size of tiles in pixels
            xtiles, ytiles,       // number of tiles that fit on screen
            xpix, ypix;           // number of pixels on map
    int     ylook[200];
};

extern Map world;

#endif
